Subject: Re: linux-next: build warnings after merge of the final tree (mtd tree related)

From: David Woodhouse <[email-masked]>
Date: Tue, 26 Oct 2010 11:49:40 +0100

On Tue, 2010-10-26 at 09:51 +0100, David Woodhouse wrote:
> On Tue, 2010-10-26 at 13:49 +1100, Stephen Rothwell wrote:
> > 
> > I am not sure where these came from ... 
> 
> It's a config issue. You have chosen to build NOR flash support.
> 
> NOR flash can be wired up many ways. It could be four 8-bit chips in
> parallel in a 32-bit bus, two 16-bit chips in a 32-bit bus, 2 8-bit
> chips in a 16-bit bus, one 16-bit chip in a 16-bus bus, etc...
> 
> You have elected to support *none* of those configurations. No NOR chip
> support can work.
> 
> You don't get to choose individual geometry options unless you set
> CONFIG_MTD_ADV_OPTIONS -- by default you get a fully versatile driver
> which can cope with anything at runtime.
> 
> I'll build a ppc44x_defconfig and work out what's going wrong. I'd
> expect this kind of thing with randconfig, but not a defconfig.

Fixed by reverting the offending commit:
http://git.infradead.org/mtd-2.6.git/commitdiff/6411bf6cd

Thanks.

-- 
David Woodhouse                            Open Source Technology Centre
[email-masked]                              Intel Corporation